package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 考勤方式(地点打卡. 地点打卡, Wi-Fi打卡. Wi-Fi打卡, 蓝牙打卡. 蓝牙打卡, 考勤机打卡. 考勤机打卡)枚举类
*
* @author zxfei
*/
public enum AttendanceTypeEnum {
    地点打卡("地点打卡", "地点打卡"),
    WiFi打卡("Wi-Fi打卡", "Wi-Fi打卡"),
    蓝牙打卡("蓝牙打卡", "蓝牙打卡"),
    考勤机打卡("考勤机打卡", "考勤机打卡");
    private String value;
    private String desc;

    AttendanceTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AttendanceTypeEnum getByValue(String value) {
        for (AttendanceTypeEnum attendanceTypeEnum : AttendanceTypeEnum.values()) {
            if (attendanceTypeEnum.getValue() == value) {
                return attendanceTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AttendanceTypeEnum item : AttendanceTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}